alias mtt_dll return $scriptdir $+ mTooltips.dll

alias mtooltips return $dll($mtt_dll,$1,$2-)

alias mtt_demo {

  mtooltips SetTooltipWidth 200

  mtooltips SpawnTooltip +1a 10 10 0 > mTooltip #1 $chr(4) This is a normal tooltip $+ $crlf $+ The icon is optional, but it looks good. $+ $crlf $+ $crlf $+ Click me to unload the DLL. $chr(4) mtt_unload_dll
  mtooltips SpawnTooltip +bsa 290 10 0 > mTooltip #2 $chr(4) Do you like Windows Balloons? $chr(4) echo TOOLTIP EVENT:
  mtooltips SpawnTooltip +etfa 550 10 0 > mTooltip #3 $chr(4) With this DLL you can attach $+ $crlf $+ a little editbox to them... $chr(4) echo TOOLTIP EVENT:

  mtooltips SetTooltipColors 190 16777215

  mtooltips SpawnTooltip +1a 10 150 0 > mTooltip #4 $chr(4) You can customize the colors of the tooltips $chr(4) echo TOOLTIP EVENT:

  mtooltips SetTooltipColors default
  mtooltips SetEditboxColors 190 16777215 0

  mtooltips SpawnTooltip +1etfap 290 150 0 > mTooltip #5 $chr(4) ... and the colors of the editbox too! $+ $crlf $+ The editbox can become an password box... (try typing) $chr(4) echo TOOLTIP EVENT:

  mtooltips SetEditboxColors -1 -1 1

  mtooltips SpawnTooltip +1etfa 550 150 0 > mTooltip #6 $chr(4) Here's a nice effect... You can make the editbox to have the tooltip colors $chr(4) echo TOOLTIP EVENT:

  mtooltips SetTooltipColors $rgb(face) $rgb(text)
  mtooltips SetEditboxColors $rgb(face) $rgb(text) 3
  mtooltips CustomIcon 19 $mircexe

  mtooltips SpawnTooltip +4etfa 10 300 0 > mTooltip #7 $chr(4) Most of the border styles are really ugly! $+ $crlf $+ You can specify custom icons on any Windows version $chr(4) echo TOOLTIP EVENT:

  mtooltips SetTooltipColors default
  mtooltips SetEditboxColors default
  mtooltips SetFont Arial > 9

  mtooltips SpawnTooltip +1etfa 290 300 0 > mTooltip #8 $chr(4) You can customize the fonts for editbox and tooltips. This is 'Arial' with size 9. $chr(4) echo TOOLTIP EVENT:

  mtooltips SetFont default

  mtooltips SpawnTooltip +0a 550 300 0 > NOT_USED $chr(4) Old style tooltips are NICE! $+ $crlf $+ ... and multi-line too ... $+ $crlf $+ $crlf $+ They are only multi-line ONLY when you SPECIFY a tooltip maximum width...

  mtooltips TrayInit 0 $scriptdir $+ mtt.ico > echo TRAY EVENT: > I'm a demo of mTooltips DLL

  mtooltips Balloon +1 Knock Knock... $chr(4) Who is in there?

  echo $color(info) -tsei2 * [mTooltips Demo] Do something on the 1st tooltip to close them all
}

alias mtt_unload_dll {
  if ($1 != CLOSE) return
  echo $color(info) -tsei2 * [mTooltips] Unloading DLL in 1 second... Wait!

  ; NEVER EVER OF THE EVERS UNLOAD THE DLL INSIDE THE HANDLER!
  window -a "Status Window"
  .timer -iom 1 1000 dll -u mTooltips.dll  
}

alias mtt_corners {
  var %corn = $mtooltips(GetHWND_Rect,$window(-3).hwnd)
  if (ERR * iswm %corn) {
    echo $color(info) -tsei2 * [mTooltips Demo] Error getting MDI corners...
    return
  }
  %corn = $gettok(%corn,2-,32)
  mtooltips SpawnTooltip +b1 $gettok(%corn,1,32) $gettok(%corn,2,32) 5000 > MDI Corners $chr(4) Top-Left Corner (closes in 5 secs)
  mtooltips SpawnTooltip +b1 $gettok(%corn,1,32) $gettok(%corn,4,32) 5000 > MDI Corners $chr(4) Top-Right Corner (closes in 5 secs)
  mtooltips SpawnTooltip +b1 $gettok(%corn,3,32) $gettok(%corn,2,32) 5000 > MDI Corners $chr(4) Bottom-Left Corner (closes in 5 secs)
  mtooltips SpawnTooltip +b1 $gettok(%corn,3,32) $gettok(%corn,4,32) 5000 > MDI Corners $chr(4) Bottom-Right Corner (closes in 5 secs)
}

alias mtt_dialog {
  if ($dialog(xmp)) dialog -v xmp
  else dialog -m xmp xmp
}

dialog -l xmp {
  title "mTooltips DEMO"
  size -1 -1 100 100
  option dbu

  list 1, 0 0 100 87, size
  edit "Editbox", 2, 0 88 100 12
}

on *:dialog:xmp:init:*:{
  did -a $dname 1 This is a listbox (as you can see)

  mtooltips SetTooltipWidth 250
  mtooltips SpawnTooltip +hb0 $dialog($dname).hwnd 0 0 > NOT_USED $chr(4) You can attach an tooltip directly to an Window Handle (HWND)
  mtooltips SpawnTooltip +db1 $dialog($dname).hwnd 1 0 > mTooltips DEMO $chr(4) Attached a tooltip to the listbox...
  mtooltips SpawnTooltip +d1 $dialog($dname).hwnd 2 0 > mTooltips DEMO $chr(4) Attached a tooltip to the editbox...
}

on *:start:{
  linesep -s
  echo $color(info) -tsi2 * [mTooltips] $mtooltips(DLLInfo)
  echo $color(info) -tsi2 * [mTooltips] Demo script loaded... type /mtt_demo, /mtt_dialog or /mtt_corners
  linesep -s
}

on *:unload:{
  dll -u $mtt_dll
  echo $color(info) -tsei2 * [mTooltips] Demo script unloaded... thanks for using it!
}
